Package cs2030s.fp

## Interface Actionable<T>

- Type Parameters:
    `T` - The type of the content.
  All Known Implementing Classes:
    `Actually`, `Actually.Failure`, `Actually.Success`

      interface Actionable<T>

  Represent a container that can act on its content. CS2030S Lab 5 AY22/23 Semester 1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `act​(Action<? super T> f)` | The method to act on its content.

- - ### Method Detail

    - #### act

          void act​(Action<? super T> f)

      The method to act on its content.
      Parameters:
        `f` - The action.